GTK trouble

See my previous post "GTK success!":
http://bkhome.org/blog/?viewDetailed=02594

Yeah, well, now the pendulum has swung the other way. I built Wary and Racy 5.2.1.99, even uploaded them. However, after doing a frugal install, I found that 'welcome1stboot' segfaults.

I recompiled it in Wary 5.2.1.99, it then worked. I used that new executable in Racy 5.2.1.99 ....aaaargh, it still segfaulted!

I regret moving up from GTK 2.20.1. With that version the ROX-Filer focus problem that came in at GTK 2.18.x, was partly fixed. Well, with GTK 2.24.x that "part fix" is gone again.

I wonder if it would break anything if I did roll back to GTK 2.20.1? The problem is, I did a complete compile of all the core packages in T2, against GTK 2.24.5. Rolling GTK back would be asking for trouble.


Posted on 14 Nov 2011, 17:14


Comments:

Posted on 14 Nov 2011, 19:31 by Sage
trouble
All this makes one think about strategy & philosophy of distro development. There are probably only a small minority of IT pros and wanabe hobbyists who must have the latest kit, latest software, all the bells and whistles? Whilst it may be a lot of fun(?) to keep up with the field, it's always been a tail-chasing exercise. The HW manufacturers will always make you cry in your beer. Sympathy abounds, but if one doesn't have the resources of eg RH, then perhaps more modest aspirations permit sounder sleep at night? One has a great respect for, eg johnbiles who took an older release and polished it for a year until it shone with a blinding light. There have been some outstanding milestones for Puppy, viz: 1.0.8rc, 2.14, 3.4(3.04?), maybe a couple more. So the question remains: maximise the user satisfaction or chase the tiger.
On the other hand, although it may well prove impossible in practice, a single tightly coordinated effort between the Puppy gurus following just a single objective at a time might save a lot of teeth gnashing?


Posted on 14 Nov 2011, 19:56 by Terryphi
Roll back and slow down
For what it is worth my opinion as a user is that you should roll back GTK and proceed at a more .... wary pace. Wary 5.1.4.1 was perfect on my hardware and I intend sticking with it. Tester fatigue is beginning to set in.

I agree with the thrust of what Sage has said above. Across the world of Linux developers are getting out of step with the needs of users. The current furore around Ubuntu and Gnome are just two examples.


Posted on 14 Nov 2011, 20:49 by BarryK
Re slow down
You guys don't understand. I am being cautious with wary. The GTK 2.24.x series is supposed to be a mature end-of line of GTK 2.x, after which there has been a jump to the 3.x series.
The latest of the 2.24.x series is 2.24.8 and that is supposed to be the most mature, only fixing bugs.

It was a reasonable decision to move up from 2.20.1 to 2.24.x. However, as always we are at the mercy of the upstream developers, we don't know what surprises they might have created, that might derail our Puppy project.

Anyway, I have a fix, will post soon.



Posted on 14 Nov 2011, 21:44 by Sage
You guys don't understand.
Only too well! We are trying to save you a nervous breakdown! It's dog-eat-dog at the front of every profession - too many eager smart-*ss young stags trying to make a name for themselves without focussing on the end game...


Posted on 15 Nov 2011, 2:00 by GCMartin
Going n the right direction
Barry, I think you have the right idea and are going in the right direction.

Some of your effort is based on the cautiousness you display in taking "sound" older subsystems as you mix that with the peripheral upgrades found in the latest kernels.

Also, your cautiousness is displayed in using "proven" work, say, in the kernel area with the work that other community members provide as a demo to what can be accomplished. Thus, your work is not totally pioneering.

So, it understandably frustrating to take what one would expect in an older stabilized "final-bridge" release, and find that it has some quirks built-in that produce as many/more problems than would be encountered with the lastest release.

I offer one idea for you to consider. As is the case with the PUppy community we all seem to rally around the latest product developments. I'll bet that there would be just as much support from GTK if you chose to use the version 3x product versus trying to get them to address the older release.

I appreciate your efforts.


Posted on 15 Nov 2011, 5:02 by upnorth
welcome1stboot on 5.2.1.90
fwiw
welcome 1st boot, in racy 5.2.1.90 frugal, with the updated gtk pet installed - didn't segfault when run from terminal.


Posted on 15 Nov 2011, 5:26 by K Godt
all files found ?
I have a segfault compiling xosview for the temperature driver asb100 (asus) . The path changes with each boot or kernel version ....

Funny , normally it says "file not found" but now it segfaults ( guess the main path is not 100% right ... :) ) ...

Am on Puppy-431 atm and /usr/sbin/welcome1stboot in racy-5-1-99 wants GLIBC_2.7 so issued strings on it ...
/usr/local/lib/X11/pixmaps/configuration48.png
still there ? THEME change ?

Was expecting the release of WARY/RACY soon .